<?php
/**
 * Template Name: FAQ
 * 
 * @since Reef 0.1
 */
get_header();
reef_inner_banner();

/**
* Prints out the default page content markup
*
* @since Reef 0.1
* @hooked reef_render_compact_page_content - 10
*/
do_action( 'reef_page_compact_content' );
?>

<!-- FAQ section-->
<section class="wrapper block-faq">
	<div class="container">
		<?php
		$post_ids = array();
		for( $i = 1; $i <= 4; $i++ ){

		    $value = absint( reef_get_option( 'faq_page_' . $i ) );
		    if( $value > 0 ){

		        $post_ids[] = $value;
		    }
		}

		if( count( $post_ids ) > 0 ){
			$query_args = array(
	            'post_type'   => 'page',
	            'post__in'    => $post_ids,
	            'post_status' => 'publish',
	            'orderby'     => 'post__in',
	            'ignore_sticky_posts' => 1,
	        );

			$query_args = apply_filters( 'reef_faq_query_args', $query_args );

			$query = new WP_Query( $query_args );
		
			$i = 0; 
			while( $query->have_posts() ){ 
				$query->the_post();
				if( $i % 2 == 0 )
					echo '<div class="row">';
				$i++;
	   	?>
				<div class="col-xs-12 col-sm-6 col-md-6 page-list-outer">
					<div class="content">
						<?php the_title( '<span class="title-icon"><i class="fa fa-question-circle-o"></i></span><h3><a href="'. esc_url( get_permalink() ).'">', '</a>'.'</h3>' ); reef_edit_link(); ?>
						<?php reef_excerpt( 30 ); ?>
					</div>
				</div>
			<?php 

				if( $i % 2 == 0 )
					echo '</div>';
			}
			wp_reset_postdata();
			if( $i % 2 !== 0 )
				echo '</div>';
		}
		?>
	</div>
</section>
<?php get_footer(); ?>
