<?php
/**
* Sets sections for KT_Customizer
*
* @since  Reef 0.1
* @param  array $sections
* @return array Merged array
*/
function reef_customizer_sections( $sections ){

	$reef_sections = array(
		
		'slider' => array(
			'title' => esc_html__( 'Slider', 'reef' ),
		),
		'highlighted_posts' => array(
			'title'       => esc_html__( 'Highlighted Posts', 'reef' ),
			'description' => esc_html__( 'Please select the posts to be shown in frontpage below the slider.', 'reef' )
		),
		'testimonial' => array(
			'title'       => esc_html__( 'Testimonial', 'reef' ),
			'description' => esc_html__( 'Please select the page to be shown in frontpage above the footer widgets.', 'reef' )
		),
		'theme_options' => array(
			'title'    => esc_html__( 'Theme Options', 'reef' ),
			'priority' => 180
		),
		'about_sec' => array(
			'title' => esc_html__( 'About', 'reef' ),
			'panel' => 'page_template_pane',
		),
		'service_sec' => array(
			'title' => esc_html__( 'Service', 'reef' ),
			'panel' => 'page_template_pane',
		),
		'faq_sec' => array(
			'title' => esc_html__( 'FAQ', 'reef' ),
			'panel' => 'page_template_pane',
		),
		'contact_sec' => array(
			'title' => esc_html__( 'Contact', 'reef' ),
			'panel' => 'page_template_pane',
		)
	);

	return array_merge( $reef_sections, $sections );
}
add_filter( 'reef_customizer_sections', 'reef_customizer_sections' );