<?php
/**
* Sets setting field for homepage
* 
* @since  Reef 0.1
* @param  array $settings
* @return array Merged array of settings
*
*/
function reef_customizer_homepage_settings( $settings ){

	$home_settings = array(
		# Settings for slider
		'slider_video' => array(
			'label'       => esc_html__( 'Youtube Video Url', 'reef' ),
			'section'     => 'slider',
			'type'        => 'dropdown-pages',
			'description' => esc_html__( 'Please select a page containing youtube video url.', 'reef' )
		),
		'slider_post_option' => array(
			'label'     => esc_html__( 'Choose Post Option.', 'reef' ),
			'section'   => 'slider',
			'type'      => 'radio',
			'choices' => array(
				'banner' => esc_html__( 'Single Banner', 'reef' ),
				'slider' => esc_html__( 'Slider', 'reef' )
			)
		),
		'banner_post' => array(
			'label'   => esc_html__( 'Select Post for Banner', 'reef' ),
			'section' => 'slider',
			'type'    => 'dropdown-posts',
		),

		'slider_category' => array(
			'label'       => esc_html__( 'Select Category for Slider', 'reef' ),
			'section'     => 'slider',
			'type'        => 'dropdown-categories',
			'description' => esc_html__( 'Supports Maximum 3 sliders.', 'reef' )
		),

		'slider_control' => array(
			'label'     => esc_html__( 'Show Slider Control', 'reef' ),
			'section'   => 'slider',
			'type'      => 'checkbox',
			'transport' => 'postMessage',
		),
		'slider_autoplay' => array(
			'label'   => esc_html__( 'Slider Auto Play', 'reef' ),
			'section' => 'slider',
			'type'    => 'checkbox'
		),
		'slider_timeout' => array(
			'label'    => esc_html__( 'Slider Timeout ( in sec )', 'reef' ),
			'section'  => 'slider',
			'type'     => 'number'
		),
		

		# Settings for Highlighted Posts
		'disable_highlighted_posts' => array(
			'label'   => esc_html__( 'Disable Highlighted Posts', 'reef' ),
			'section' => 'highlighted_posts',
			'type'    => 'checkbox'
		),
		'highlighted_post_1' => array(
			'label'   => esc_html__( 'Select Post', 'reef' ),
			'section' => 'highlighted_posts',
			'type'    => 'dropdown-posts'
		),
		'highlighted_post_2' => array(
			'label'   => esc_html__( 'Select Post', 'reef' ),
			'section' => 'highlighted_posts',
			'type'    => 'dropdown-posts'
		),
		'highlighted_post_3' => array(
			'label'   => esc_html__( 'Select Post', 'reef' ),
			'section' => 'highlighted_posts',
			'type'    => 'dropdown-posts'
		),

		# Settings for Testimonials
		'disable_testimonial' => array(
			'label'   => esc_html__( 'Disable Testimonials', 'reef' ),
			'section' => 'testimonial',
			'type'    => 'checkbox'
		),
		'testimonial_page_id_1' => array(
			'label'   => esc_html__( 'Select Page', 'reef' ),
			'section' => 'testimonial',
			'type'    => 'dropdown-pages'
		),
		'testimonial_page_id_2' => array(
			'label'   => esc_html__( 'Select Page', 'reef' ),
			'section' => 'testimonial',
			'type'    => 'dropdown-pages'
		),
		'testimonial_page_id_3' => array(
			'label'   => esc_html__( 'Select Page', 'reef' ),
			'section' => 'testimonial',
			'type'    => 'dropdown-pages'
		),

	);

	return array_merge( $home_settings, $settings );
}
add_filter( 'reef_customizer_fields', 'reef_customizer_homepage_settings' );